summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Luis Henrique <lmello.009@gmail.com>2010-06-28 00:54:59 -0500
committer Erik Hanson <erik@slackbuilds.org>2010-06-29 00:36:35 -0500
commit6a205752a6f41de9e783b3beccba380fa64f9063 (patch)
treedc2fc2f1e0bde802e23f86d9249078a029f04269
parent8415f0cf2a8191546fbf8333a595d6b2aab56983 (diff)
downloadslackbuilds-6a205752a6f41de9e783b3beccba380fa64f9063.tar.gz
slackbuilds-6a205752a6f41de9e783b3beccba380fa64f9063.tar.xz
multimedia/dvdrip: Added (DVD copying program)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--multimedia/dvdrip/README10
-rw-r--r--multimedia/dvdrip/doinst.sh14
-rw-r--r--multimedia/dvdrip/dvdrip.SlackBuild87
-rw-r--r--multimedia/dvdrip/dvdrip.desktop9
-rw-r--r--multimedia/dvdrip/dvdrip.info10
-rw-r--r--multimedia/dvdrip/dvdrip.pngbin0 -> 3713 bytes
-rw-r--r--multimedia/dvdrip/slack-desc19
7 files changed, 149 insertions, 0 deletions
diff --git a/multimedia/dvdrip/README b/multimedia/dvdrip/README
new file mode 100644
index 0000000000..c1ab10ef85
--- /dev/null
+++ b/multimedia/dvdrip/README
@@ -0,0 +1,10 @@
+dvd::rip is a full featured DVD copy program written in Perl. It provides an
+easy to use but feature-rich Gtk+ GUI to control almost all aspects of the
+ipping and transcoding process. It uses the widely known video processing
+swissknife transcode and many other Open Source tools.
+
+This requires transcode, perl-extutils-depends, perl-extutils-pkgconfig,
+perl-glib, perl-cairo, perl-gtk2, perl-event, and perl-libintl.
+
+ffmpeg, lsdvd, ogmtools, dvdxchap, mjpegtools, xvid4conf, subtitleripper,
+and fping are optional dependencies available at SlackBuilds.org.
diff --git a/multimedia/dvdrip/doinst.sh b/multimedia/dvdrip/doinst.sh
new file mode 100644
index 0000000000..9830478e8c
--- /dev/null
+++ b/multimedia/dvdrip/doinst.sh
@@ -0,0 +1,14 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/multimedia/dvdrip/dvdrip.SlackBuild b/multimedia/dvdrip/dvdrip.SlackBuild
new file mode 100644
index 0000000000..ff0c2f1f8a
--- /dev/null
+++ b/multimedia/dvdrip/dvdrip.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for dvdrip
+
+# Written by Luis Henrique <lmello.009@gmail.com>
+
+PRGNAM=dvdrip
+VERSION=${VERSION:-0.98.11}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Install menu entries:
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat $CWD/dvdrip.desktop > $PKG/usr/share/applications/dvdrip.desktop
+cat $CWD/dvdrip.png > $PKG/usr/share/pixmaps/dvdrip.png
+
+mv $PKG/usr/share/man $PKG/usr
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changes* COPYRIGHT Credits MANIFEST README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/dvdrip/dvdrip.desktop b/multimedia/dvdrip/dvdrip.desktop
new file mode 100644
index 0000000000..a6fb7af443
--- /dev/null
+++ b/multimedia/dvdrip/dvdrip.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Version=1.0
+Name=dvd::rip
+GenericName=DVD copy program
+Comment=A full featured DVD copy program
+Type=Application
+Exec=dvdrip
+Icon=dvdrip
+Categories=AudioVideo;Video;
diff --git a/multimedia/dvdrip/dvdrip.info b/multimedia/dvdrip/dvdrip.info
new file mode 100644
index 0000000000..ff78613947
--- /dev/null
+++ b/multimedia/dvdrip/dvdrip.info
@@ -0,0 +1,10 @@
+PRGNAM="dvdrip"
+VERSION="0.98.11"
+HOMEPAGE="http://www.exit1.org/dvdrip"
+DOWNLOAD="http://www.exit1.org/dvdrip/dist/dvdrip-0.98.11.tar.gz"
+MD5SUM="6dfa4199d451757a37eea233a07da4c0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Luis Henrique"
+EMAIL="lmello.009@gmail.com"
+APPROVED="rworkman"
diff --git a/multimedia/dvdrip/dvdrip.png b/multimedia/dvdrip/dvdrip.png
new file mode 100644
index 0000000000..771299f8ef
--- /dev/null
+++ b/multimedia/dvdrip/dvdrip.png
Binary files differ
diff --git a/multimedia/dvdrip/slack-desc b/multimedia/dvdrip/slack-desc
new file mode 100644
index 0000000000..cecb82c7da
--- /dev/null
+++ b/multimedia/dvdrip/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+dvdrip: dvd::rip (DVD copy program)
+dvdrip:
+dvdrip: dvd::rip is a full featured DVD copy program written in Perl. It
+dvdrip: provides an easy to use but feature-rich Gtk+ GUI to control almost
+dvdrip: all aspects of the ripping and transcoding process. It uses the
+dvdrip: widely known video processing swissknife transcode and many other
+dvdrip: Open Source tools. dvd::rip itself is licensed under
+dvdrip: GPL / Perl Artistic License.
+dvdrip:
+dvdrip: Homepage: http://www.exit1.org/dvdrip
+dvdrip: